Subject: bug#814 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; Fold case error in isearch / highlight-regexp)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#814: 23.0.60; Fold case error in isearch / highlight-regexp

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=814
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Aug 29 12:17:19 2008
To: "Lennart Borgman \(gmail\)" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; Fold case error in isearch / highlight-regexp
From: Chong Yidong <[email-masked]>
Date: Fri, 29 Aug 2008 15:19:12 -0400

I've checked in a fix.

(It doesn't handle case-fold behavior for regexp search.  That feature
is rather non-trivial to implement.)

>From [email-masked] Thu Aug 28 17:43:02 2008
Date: Fri, 29 Aug 2008 02:42:44 +0200
From: "Lennart Borgman (gmail)" <[email-masked]>
To: [email-masked]
Subject: 23.0.60; Fold case error in isearch / highlight-regexp

If I start isearch and grab a word

  C-s C-w

and highlight this with

  M-s o h r

then if the word contains upper case letters there will be no highlight.

This is on w32 with a fresh checkout, but using my patched version of
Emacs (which I hope does not matter here).

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-08-28 (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'